# DUI-Flutter
## Overview
Welcome to `dui-flutter`, a UI library for developing mobile applications with Flutter. Created by Dribba, `dui-flutter` aims to provide developers with a comprehensive set of widgets and tools to bring their mobile app visions to life efficiently and effectively.

## Features

- **Pre-built Widgets**: A wide range of pre-built, customizable widgets designed to fit a variety of design needs, from simple buttons and  input fields to complex navigation patterns and animations.

- **Theme Support**: Comprehensive theming capabilities allowing for easy branding and style adjustments across your entire application.

- **Responsive Design**: Widgets and layouts that automatically adapt to different screen sizes, orientations, and platforms for a seamless user experience on any device.

- **Performance Optimized**: Carefully crafted to ensure smooth performance even in the most demanding applications.

## Getting Started
To start using `dui-flutter` in your project, follow these simple steps:

```yaml dependencies:    
     dependencies:
	     dui: <latest_version>
```


Certainly! Here's a text snippet that conveys the message about the available structures and widgets in the `dui-flutter` package, indicating that documentation is currently being developed:

----------

For now, `dui-flutter` offers a selection of structures and widgets designed to enhance your mobile application development process with Flutter. These components have been crafted with care to provide both functionality and aesthetic appeal, ensuring your projects not only work well but also look great. The following is a list of currently available structures and widgets within the `dui-flutter` library:

-   `DUI.text`: For handling text styles and typography in a unified manner.
-   `DUI.color`: A comprehensive color system for consistent theming.
-   `DUI.theme`: Theming capabilities that allow for easy customization and branding.
-   `DUI.spacing`: A spacing system to maintain consistent margins and paddings.
-   `DUI.input`: Input widgets for forms, including text fields, checkboxes, and more.
-   `DUI.button`: A variety of button styles for different purposes and actions.
-   `DUI.skeleton`: Skeleton screens for loading states, improving perceived performance.
-   `DUI.card`: Card widgets that encapsulate content and actions about a single subject.
-   `DUI.tile`: Tiles for displaying elements in a grid or list.
-   `DUI.badge`: Badges for small count and labeling elements.
-   `DUI.misc`: A collection of miscellaneous widgets for various unique UI needs.

**Documentation for these components is currently in the making**. We are dedicated to providing comprehensive guides and examples to help you utilize these widgets effectively in your projects. Stay tuned for updates on our documentation resources.

## Contributing

Contributions to `dui-flutter` are welcome! Whether it's submitting a bug report, a feature request, or a pull request, all contributions help make `dui-flutter` better for everyone.

## License

`dui-flutter` is released under the BSD-3 License.

## Acknowledgments

Special thanks to the Dribba team and all contributors to the `dui-flutter` project. Your support and contributions have been invaluable in making this project a success.